Bug 179201 - [PATCH] net-im/cjc: Trim docs and pkg-plist
Summary: [PATCH] net-im/cjc: Trim docs and pkg-plist
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rusmir Dusko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-02 11:50 UTC by nemysis
Modified: 2014-03-22 14:10 UTC (History)
1 user (show)

See Also:


Attachments
cjc-1.2.1.patch (2.17 KB, patch)
2013-06-02 11:50 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-06-02 11:50:00 UTC
- Shorten header
- Trim docs
- Comply with OptionsNG
- Trim pkg-plist

Generated and tested manually, tested with port test and with RedPorts, sent with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)

How-To-Repeat: 
Build log

https://redports.org/buildarchive/20130531230800-30835/
Comment 1 Edwin Groothuis freebsd_committer 2013-06-02 11:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

beech@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Thomas Abthorpe freebsd_committer 2014-01-10 03:38:06 UTC
Responsible Changed
From-To: beech->nemysis

Submitter is committer
Comment 3 Rusmir Dusko freebsd_committer 2014-03-22 13:37:37 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2014-03-22 14:01:18 UTC
Author: nemysis
Date: Sat Mar 22 14:01:14 2014
New Revision: 348794
URL: http://svnweb.freebsd.org/changeset/ports/348794
QAT: https://qat.redports.org/buildarchive/r348794/

Log:
  - Change dependency for net-im/py-pyxmpp
  - Change DOCS, remove from pkg-plist
  - Change REINPLACE, install conditional DOCS
  
  PR:		ports/179201
  Submitted by:	nemysis (self)

Modified:
  head/net-im/cjc/Makefile
  head/net-im/cjc/pkg-plist

Modified: head/net-im/cjc/Makefile
==============================================================================
--- head/net-im/cjc/Makefile	Sat Mar 22 13:00:54 2014	(r348793)
+++ head/net-im/cjc/Makefile	Sat Mar 22 14:01:14 2014	(r348794)
@@ -11,9 +11,7 @@ COMMENT=	Console Jabber Client
 
 LICENSE=	GPLv2
 
-RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}pyxmpp>=1.1.0:${PORTSDIR}/net-im/py-pyxmpp
-
-OPTIONS_DEFINE=	DOCS
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}pyxmpp>=0:${PORTSDIR}/net-im/py-pyxmpp
 
 USE_GITHUB=	yes
 GH_ACCOUNT=	Jajcus
@@ -24,17 +22,34 @@ USES=		shebangfix
 SHEBANG_FILES=	cjc.in cjc.py cjc/main.py
 USE_PYTHON=	2
 
+PORTDOCS=	*
+
+DOCSRCDIR1=	${WRKSRC}
+DOC_FILES1=	ChangeLog README
+
+DOCSRCDIR2=	${WRKSRC}/doc
+DOCSDIR2=	${DOCSDIR}/doc
+DOC_FILES2=	manual.html
+
+OPTIONS_DEFINE=	DOCS
+
 post-patch:
 	@${REINPLACE_CMD} -e \
-		"s|prefix=.*|prefix=${PREFIX}| ; \
-		 /^DOCS/s|COPYING|| ; \
-		 s|INSTALL=.*|INSTALL=${INSTALL}| ; \
-		 s|INSTALL_DATA=.*|INSTALL_DATA=${INSTALL_DATA}| ; \
-		 s|INSTALL_DIR=.*|INSTALL_DIR=${MKDIR}|g ; \
-		 /compileall/d" ${WRKSRC}/Makefile
+		's|prefix=.*|prefix=${PREFIX}|; \
+		 s|$$(INSTALL_DIR) $$(DESTDIR)$$(pkg_docdir)||; \
+		 s|$$(INSTALL_DATA) $$(DOCS) $$(DESTDIR)$$(pkg_docdir)||; \
+		 s|INSTALL=.*|INSTALL=${INSTALL}|; \
+		 s|INSTALL_DATA=.*|INSTALL_DATA=${INSTALL_DATA}|; \
+		 s|^INSTALL_DIR=.*|INSTALL_DIR=${MKDIR}|; \
+		 /compileall/d' ${WRKSRC}/Makefile
 
 post-install:
 	(cd ${STAGEDIR}${PREFIX} && ${PYTHON_CMD} -m compileall \
 		-d ${PREFIX} -f ${DATADIR_REL})
 
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${DOC_FILES1:S|^|${DOCSRCDIR1}/|} ${STAGEDIR}${DOCSDIR}
+	@${MKDIR} ${STAGEDIR}${DOCSDIR2}
+	${INSTALL_DATA} ${DOC_FILES2:S|^|${DOCSRCDIR2}/|} ${STAGEDIR}${DOCSDIR2}
+
 .include <bsd.port.mk>

Modified: head/net-im/cjc/pkg-plist
==============================================================================
--- head/net-im/cjc/pkg-plist	Sat Mar 22 13:00:54 2014	(r348793)
+++ head/net-im/cjc/pkg-plist	Sat Mar 22 14:01:14 2014	(r348794)
@@ -95,11 +95,6 @@ bin/cjc
 %%DATADIR%%/plugins/version.pyc
 %%DATADIR%%/plugins/xmlconsole.py
 %%DATADIR%%/plugins/xmlconsole.pyc
-%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
-%%PORTDOCS%%%%DOCSDIR%%/README
-%%PORTDOCS%%%%DOCSDIR%%/TODO
-%%PORTDOCS%%%%DOCSDIR%%/manual.html
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrm %%DATADIR%%/plugins
 @dirrm %%DATADIR%%/cjc/ui
 @dirrm %%DATADIR%%/cjc
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"